iscsi_context_log_func_set(3)

NAME
iscsi_context_log_func_set - Set log handler function.

SYNOPSIS
void iscsi_context_log_func_set (struct iscsi_context *ctx, void (*log_func) (struct iscsi_context *ctx, int priority, const char *file, int line, const char *func_name, const char *format, va_list args));

ARGUMENTS

ctx Pointer of 'struct iscsi_context'. If this pointer is NULL, your program will be terminated by assert.

log_func
    Pointer of log handler function.

DESCRIPTION

Set custom log handler. The log handler will be invoked when log message is equal or more important(less value) than log priority setting. Please check manpage libopeniscsiusr.h(3) for detail usage.

RETURN
void